/**
 * 加载
 */
import Vue from 'vue'
import { Toast } from 'vant';

Vue.use(Toast);
function toasts(message) {
    Toast(message);
}

var toast = {
    show: function (type, message) {
        console.log('===message==' + message);
        var finalMessage = message;
        if (!finalMessage) {
            switch (type) {

                case 1000:
                    finalMessage = '没有权限';
                    break;

                case -201:
                    finalMessage = '没有用户';
                    break;

                case -1:
                    finalMessage = '没有权限';
                    break;

                case 500:
                    finalMessage = '网络错误';
                    break;

                default:
                    finalMessage = '网络错误';
                    break;
            }
            finalMessage += type;
        }
        if (message === 'inactivate') {
            //未激活状态
            localStorage.setItem('inactivate', message);
        } else {
            toasts(finalMessage);
        }
    },

    // showMessage: function (message) {
    //   toasts(message);
    // },
    //
    // showLoading: function (show) {
    //   if (show) {
    //     // iView.LoadingBar.start();
    //   } else {
    //     // iView.LoadingBar.finish();
    //   }
    // }
};

export default {
    toast
}
